org.jboss.jca.adapters.jdbc.jdk8

## Class WrappedResultSetJDK8

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.WrappedResultSet
    - - org.jboss.jca.adapters.jdbc.jdk8.WrappedResultSetJDK8

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

      public class WrappedResultSetJDK8
      extends WrappedResultSet

  WrappedResultSetJDK8.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.WrappedResultSet

      `defaultFetchSize, doLocking, jndiName, spy, spyLogger`

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.ResultSet

      `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedResultSetJDK8(WrappedStatement statement, java.sql.ResultSet resultSet, boolean spy, java.lang.String jndiName, boolean doLocking)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateObject(int columnIndex, java.lang.Object x, java.sql.SQLType targetSqlType)`
    `void` | `updateObject(int columnIndex, java.lang.Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`
    `void` | `updateObject(java.lang.String columnLabel, java.lang.Object x, java.sql.SQLType targetSqlType)`
    `void` | `updateObject(java.lang.String columnLabel, java.lang.Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedResultSet

      `absolute, afterLast, beforeFirst, cancelRowUpdates, checkException, checkState, checkTransaction, clearWarnings, close, deleteRow, equals, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnderlyingResultSet, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, getWrappedObject, hashCode, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, lock, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, toString, unlock, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### WrappedResultSetJDK8

          public WrappedResultSetJDK8(WrappedStatement statement,
                                      java.sql.ResultSet resultSet,
                                      boolean spy,
                                      java.lang.String jndiName,
                                      boolean doLocking)

      Constructor
      Parameters:
        `statement` - The statement
        `resultSet` - The result set
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking

  - ### Method Detail

    - #### updateObject

          public void updateObject(int columnIndex,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType,
                                   int scaleOrLength)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(java.lang.String columnLabel,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType,
                                   int scaleOrLength)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(int columnIndex,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(java.lang.String columnLabel,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)